Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.config
Class InitializeDatabaseBeanDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.springframework.jdbc.config.InitializeDatabaseBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

    public class InitializeDatabaseBeanDefinitionParser

extends AbstractBeanDefinitionParser

`BeanDefinitionParser` that parses an `initialize-database` element and creates a `BeanDefinition` of type `DataSourceInitializer`. Picks up nested `script` elements and configures a `ResourceDatabasePopulator` for them.

Since:
  3.0
Author:
  Dave Syer

Field Summary

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`InitializeDatabaseBeanDefinitionParser()`

Method Summary
`protected AbstractBeanDefinition` | `parseInternal(Element element, ParserContext context)` Central template method to actually parse the supplied `Element` into one or more `BeanDefinitions`.
`protected boolean` | `shouldGenerateId()` Should an ID be generated instead of read from the passed in `Element`?

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitializeDatabaseBeanDefinitionParser

    public InitializeDatabaseBeanDefinitionParser()

Method Detail

### parseInternal

    protected AbstractBeanDefinition parseInternal(Element element,
                                                   ParserContext context)

  Description copied from class: `AbstractBeanDefinitionParser`
  Central template method to actually parse the supplied `Element` into one or more `BeanDefinitions`.

  Specified by:
    `parseInternal` in class `AbstractBeanDefinitionParser`
  Parameters:
    `element` - the element that is to be parsed into one or more `BeanDefinitions`
    `context` - the object encapsulating the current state of the parsing process; provides access to a `BeanDefinitionRegistry`
  Returns:
    the primary `BeanDefinition` resulting from the parsing of the supplied `Element`
  See Also:
    `AbstractBeanDefinitionParser.parse(org.w3c.dom.Element, ParserContext)`, `AbstractBeanDefinitionParser.postProcessComponentDefinition(org.springframework.beans.factory.parsing.BeanComponentDefinition)`

### shouldGenerateId

    protected boolean shouldGenerateId()

  Description copied from class: `AbstractBeanDefinitionParser`
  Should an ID be generated instead of read from the passed in `Element`?

  Disabled by default; subclasses can override this to enable ID generation. Note that this flag is about always generating an ID; the parser won't even check for an "id" attribute in this case.

  Overrides:
    `shouldGenerateId` in class `AbstractBeanDefinitionParser`
  Returns:
    whether the parser should always generate an id

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD